Bug 982216 - "Pack [Name: Quickstarts and Index: 11] must be installed because it is required!" message during auto.xml installation
"Pack [Name: Quickstarts and Index: 11] must be installed because it is requi...
Product: JBoss Enterprise Application Platform 6
Classification: JBoss
Component: Installer (Show other bugs)
Unspecified Unspecified
unspecified Severity medium
: ---
: EAP 6.1.1
Assigned To: Francisco Canas
Depends On:
  Show dependency treegraph
Reported: 2013-07-08 08:11 EDT by Petr Kremensky
Modified: 2014-09-03 00:57 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2013-09-16 16:24:06 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Petr Kremensky 2013-07-08 08:11:04 EDT
Description of problem:
There is message:
Pack [Name: Quickstarts and Index: 11] must be installed because it is required!
during installation via auto.xml when no quickstarts are installed. 
Installation of quickstarts is not required.

Version-Release number of selected component (if applicable):
EAP 6.1.1 ER2

Steps to Reproduce:
1. install EAP, choose not to install quickstarts, generate auto.xml at the end of installation
2. uninstall EAP
3. install it again using auto.xml generated before

Actual results:
 - "Pack [Name: Quickstarts and Index: 11] must be installed because it is required!" message is shown during installation
 - no quickstarts are installed (that is good :)).

Expected results:
 - "Pack [Name: Quickstarts and Index: 11] removed from selection." message is shown as it is with other excluded components.
Comment 1 Francisco Canas 2013-07-09 13:39:38 EDT
I have fixed the above issue by implementing two changes:

1. The quickstart package is no longer marked 'required' in core-packs.xml.

2. Added a "selectable" attribute to core-packs pack elements. If this attribute is present and set to "false", it prevents the user from manually adding/removing the pack to the installation files in the TreePack panel. This new attribute should be used when the pack can should only be added/removed via conditions in other panels, but not in the TreePackPanel as is the case with Quickstarts.

See these commits for details:


Comment 2 Petr Kremensky 2013-07-19 03:47:24 EDT
Verified on EAP 6.1.1 ER3. Installer is now acting as Francisco described.

Note You need to log in before you can comment on or make changes to this bug.